Name:		duff
Version:	0.5.2
Release:	4%{?dist}
Summary:	Quickly find duplicate files

License:	zlib
URL:		http://duff.sourceforge.net/
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch1:		duff-linking-to-shared-library-sha.patch
Patch2:		duff-remove-docs-of-sha.patch
BuildRequires:	sha-devel
BuildRequires:	autoconf
BuildRequires:	automake

%description
Duff is a command-line utility for quickly finding duplicates in a given set of
files


%prep
%setup -q
#Remove bundled sha and unnecessary files
rm -rf src/sha*
rm -rf autom4te.cache
rm -rf README.SHA
%patch1 -p1
%patch2 -p1

%build
autoreconf -fi
autoheader
%configure \
	--disable-rpath
make %{?_smp_mflags}

%check
make DESTDIR=%{buildroot} check

%install
make DESTDIR=%{buildroot} INSTALL="install -p" CP="cp -p" install
%find_lang %{name}
find %{buildroot} -name 'join-duplicates.sh' | xargs chmod 0755

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/duff
%{_datadir}/duff/join-duplicates.sh
%{_docdir}/duff
%{_mandir}/man1/duff.1*


%changelog
* Thu Nov 01 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.5.2-4
- Remove bundled sha files
- Remove unnecessary buildroot
- Remove %%clean 
- Add patch for linking to shared libraries of sha 

* Sun Sep 16 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.5.2-3
- Remove rm -rf in section clean

* Sun Sep 16 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.5.2-2
- Remove glibc-devel of BuildRequires
- Remove autoconf, autoconf, libtool

* Sat Sep 15 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.5.2-1
- Initial packaging
